#### Beyond Linux® From Scratch (System V Edition) - Version 12.1

### Chapter 37. LXQt Desktop

- Prev

  kidletime-5.115.0 for lxqt

- Next

  muparser-2.3.4

- Up
- Home

# libkscreen-5.27.10 for lxqt

## Introduction to libkscreen

The libkscreen package contains the KDE Screen Management library.

This package is known to build and work properly using an LFS 12.1 platform.

### Important

This package is extracted from the plasma set of packages. If Plasma-5.27.10 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): http://download.kde.org/stable/plasma/5.27.10/libkscreen-5.27.10.tar.xz

- Download MD5 sum: 1f491e823bc83df650d04d5d9948da45

- Download size: 116 KB

- Estimated disk space required: 16 MB

- Estimated build time: 0.2 SBU (using parallelism=4)

### libkscreen Dependencies

#### Required

kconfig-5.115.0 for lxqt and kwayland-5.115.0 for lxqt

## Installation of libkscreen

Install libkscreen by running the following commands:

    mkdir -v build &&
    cd       build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr        \
          -DCMAKE_BUILD_TYPE=Release         \
          -DCMAKE_INSTALL_LIBEXECDIR=libexec \
          -DKDE_INSTALL_USE_QT_SYS_PATHS=ON  \
          -DBUILD_TESTING=OFF                \
          -Wno-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

Next, remove a systemd unit which serves no purpose on a SysV system as the `root` user:

    rm -v /usr/lib/systemd/user/plasma-kscreen.service

## Command Explanations

`-DCMAKE_INSTALL_LIBEXECDIR=libexec`: This overrides the default in extra-cmake-modules, which is `/usr/lib/libexec` and is not FHS compliant.

`-DKDE_INSTALL_USE_QT_SYS_PATHS=ON`: This forces installation of Qt plugins in the same directory as Qt-5.15.12 itself. Otherwise they get installed into `/usr/mkspecs`, which is not FHS compliant.

## Contents

Installed Programs: kscreen-doctor
Installed Library: libKF5Screen.so and libKF5ScreenDpms.so
Installed Directories: /usr/lib/cmake/KF5Screen, /usr/include/KF5/KScreen, and /usr/lib/plugins/kf5/kscreen

### Short Descriptions

kscreen-doctor | allows modifying the screen setup from the command line
`libKF5Screen.so` | contains the KDE Screen Management library
`libKF5ScreenDpms.so` | contains API functions for handling DPMS

- Prev

  kidletime-5.115.0 for lxqt

- Next

  muparser-2.3.4

- Up
- Home